4 Replies Latest reply on May 21, 2007 10:56 AM by Rob Stryker

    JBoss IDE and JBoss 4.2.0 GA, support it??

    keruke Newbie

      Hi,

      im using JBoss 4.0.5 GA and JBoss Ide Tools 2.0.0 Beta, now JBoss 4.2.0 Ga is for production and can be downloaded from jboss portal.

      When i tried to develop an EJB 3.0 Proyect with this server and JBoss ide 2.0.0 i have missing libraries error form eclipse.

      JBoss Ide support this version of server JBoss 4.2.0???

        • 1. Re: JBoss IDE and JBoss 4.2.0 GA, support it??
          Max Rydahl Andersen Master

          4.2 changed some libraries names/locations.

          It is fixed in svn.

          • 2. Re: JBoss IDE and JBoss 4.2.0 GA, support it??
            keruke Newbie

            Sorry, but what is svn??

            At this point, i copy the jboss-ejb3x.jar file from 4.0.5 JBoss application server to my new 4.2.0 lib in my server configuration and the proyect work fine, i doný nkow that it is one well

            Thanks for your response

            • 3. Re: JBoss IDE and JBoss 4.2.0 GA, support it??
              William Woodman Master

              someone just helped me on this on another forum see



              I don't know if it's the same Problem, but I learned after some searching that the server description files for the new JBoss-server versions were missing. I found some here: www.informatik.fh-wiesbaden.de/~knauf/public/


              although it says its a jar to download its a zip file. I had to copy the name of the zip file , and create a directory of that name in your eclipse plugins dir.

              then extract the zip into that directory and restart with an "eclipse -clean".

              this then provides the options you need to create a new 4.2GA server.

              You can run the server in eclipse it it started for me in the j2ee perspective.

              however i have other problems - i'm still missing somthing as when i try and create a dynamic web project, it wont let me relate it to the new server and forces me to use the old 4.0.5 server config (my new server is visible as a greyed out runtime).

              This is very frustrating. I wish the jboss IDE team would issue an update patch to enable correct support for 4.2. Sadly i'm not geek enough to now how to do that



              • 4. Re: JBoss IDE and JBoss 4.2.0 GA, support it??
                Rob Stryker Master

                the files found at the knauf directory fix the WTP-provided server adapter, and should not update, change, fix, or break, in any way, the JBoss AS server adapter provided in JBossIDE / RHDS.